<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Fragment](./bitburner.fragment.md)

## Fragment interface


**Signature:**

```typescript
interface Fragment 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [effect](./bitburner.fragment.effect.md) |  | string |  |
|  [id](./bitburner.fragment.id.md) |  | number |  |
|  [limit](./bitburner.fragment.limit.md) |  | number |  |
|  [power](./bitburner.fragment.power.md) |  | number |  |
|  [shape](./bitburner.fragment.shape.md) |  | boolean\[\]\[\] |  |
|  [type](./bitburner.fragment.type.md) |  | number |  |

